package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOilPriceTask;

import java.util.List;
import java.util.Map;

/**
 * 加油站价格任务
 * @author hurui
 */
public interface BsGasOilPriceTaskService {

    /**
     * 编辑数据
     * @param gasOilPriceTask
     */
    void editData(BsGasOilPriceTask gasOilPriceTask);

    /**
     * 批量增加价格任务
     * @param taskList
     */
    void batchAddTask(List<BsGasOilPriceTask> taskList);

    /**
     * 增加价格任务
     * @param gasOilPriceTask
     */
    void addTask(BsGasOilPriceTask gasOilPriceTask);

    /**
     * 业务处理
     * @param gasOilPriceTask
     */
    void businessHandle(BsGasOilPriceTask gasOilPriceTask);

    /**
     * 根据id 查询详情
     * @param taskId
     * @return
     */
    BsGasOilPriceTask getDetailById(Long taskId);

    /**
     * 删除任务
     * @param taskId
     */
    void delTask(Long taskId);

    /**
     * 查询任务列表
     * @param param
     * @return
     */
    List<BsGasOilPriceTask> getTaskList(Map<String, Object> param);

}
